VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties
VisimBox.Physics.StaticCollision Class Reference

Clas for static physical collisions. More...

Inheritance diagram for VisimBox.Physics.StaticCollision:

List of all members.

## Public Member Functions
| StaticCollision ()
| StaticCollision (XmlReader reader)
| XML reader constructor.
override bool | ReadInternalData (XmlReader reader)
override void | WriteInternalData (XmlWriter writer)
override void | RenderGeometry (Renderer.RendererEventArgs args)
## Public Attributes
PhysMaterial | Material
| Material describing the surface of the body.
IGeometry | StaticGeometry
| IGeometry describing the collision Note, only types describable by StaticCollisionType should be used. For geometry type which won't fit in either cathegory geometry must be divided.
StaticCollisionType | GeoType
| Descriptor of static geometry for quick choosing, should be set to correct value!
## Protected Member Functions
override void | CopyData (Node targetNode)
## Properties
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Clas for static physical collisions.

## Constructor & Destructor Documentation

VisimBox.Physics.StaticCollision.StaticCollision | ( |  | ) |

VisimBox.Physics.StaticCollision.StaticCollision | ( | XmlReader | reader | ) |

XML reader constructor.

Parameters:

  reader | XML reader

## Member Function Documentation

override void VisimBox.Physics.StaticCollision.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Physics.PhysNode.

override bool VisimBox.Physics.StaticCollision.ReadInternalData | ( | XmlReader | reader | ) |

override void VisimBox.Physics.StaticCollision.RenderGeometry | ( | Renderer.RendererEventArgs | args | ) |

override void VisimBox.Physics.StaticCollision.WriteInternalData | ( | XmlWriter | writer | ) |

## Member Data Documentation

StaticCollisionType VisimBox.Physics.StaticCollision.GeoType

Descriptor of static geometry for quick choosing, should be set to correct value!

PhysMaterial VisimBox.Physics.StaticCollision.Material

Material describing the surface of the body.

IGeometry VisimBox.Physics.StaticCollision.StaticGeometry

IGeometry describing the collision Note, only types describable by StaticCollisionType should be used. For geometry type which won't fit in either cathegory geometry must be divided.

## Property Documentation

override RenderFlags VisimBox.Physics.StaticCollision.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Physics.PhysNode.

The documentation for this class was generated from the following file:

- StaticCollision.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events